/* -----------------------------------------------------------------------------
	GSFramework
	Copyright 2001-2013 Emmanuel Julien. All Rights Reserved.
----------------------------------------------------------------------------- */


#ifndef	__NSHA1__
#define	__NSHA1__


namespace GS {
	class String;
	template <class T> class Array;

	namespace SHA1 {

void		ComputeHash(const String &source, Array <unsigned char> &hash);
String		ComputeHexa(const String &source);

void		ComputeHash(const Array <char> &data, Array <unsigned char> &hash);
String		ComputeHexa(const Array <char> &data);

	} // SHA1
} // GS


#endif	// __NSHA1__
